function [signalA, signalB] = clusterSignals(sgn,svrs)
% sgn: signals, srvr: stft Variables

nsgn = size(sgn,1);

sgno = sgn;
% saveSignalImages3(sgn,'x','y');

%% take a slice from each signal - and apply FFT
%% ========================================================
lenf = 2^13;
intFFTsize = 1000:(1000+lenf-1);
fsgn = transpose(10*log10(abs(fft(sgn(:,intFFTsize)'))));
fsgn = fsgn(:,1:lenf/2);

dst = zeros(nsgn,nsgn); % matrix of distances 

%% %% distances using KL-distance
%% %% ========================================================
%% varValues = 1:100;
%% for kk=1:nsgn; 
%%   kkhist = hist(fsgn(kk,:),100); 
%%   kkhist = kkhist/sum(kkhist);
%%   for ss=kk+1:nsgn
%% 	 sshist = hist(fsgn(ss,:),100);
%% 	 sshist = sshist/sum(sshist);
%% 	 dst(kk,ss) = kldiv(varValues,kkhist+eps,sshist+eps);
%% 	 dst(ss,kk) = dst(kk,ss);
%% end;
%% end;

%% euclidean distances 
%% ========================================================
% dst = L2_distance(fsgn',fsgn');

%%== %% cluster distances using SNR with FFT of original signals
%%== %% ========================================================
%%== sg1 = svrs.sg1(intFFTsize); sg2 = svrs.sg2(intFFTsize); 
%%== fsgn1a = 10*log10(abs(fft(sg1')));  fsgn2a = 10*log10(abs(fft(sg2')));
%%== fsgn1b = fsgn1a(1:lenf/2); fsgn2b = fsgn2a(1:lenf/2); 
%%== % resample for a better overview of the FFT signal 
%%== fsgn1 = resample(fsgn1b,1,8); fsgn2 = resample(fsgn2b,1,8);
%%== % fsgn1 = diff(fsgn1); fsgn2 = diff(fsgn2); 
%%== for kk=1:nsgn; 
%%==   % fsgKK = diff(fsgn(kk,:));
%%==   fak = resample(fsgn(kk,:),1,8);
%%==   fsgKK(kk,:) = fak;
%%==   snrs(1,kk) = 10*log10(sum(fak.^2)/sum((fak-fsgn1).^2));
%%==   snrs(2,kk) = 10*log10(sum(fak.^2)/sum((fak-fsgn2).^2));
%%== 
%%==   % snrs(1,kk) = 10*log10(sum(diff(fsgKK).^2)/sum((diff(fsgKK-fsgn1)).^2));
%%==   % snrs(2,kk) = 10*log10(sum(diff(fsgKK).^2)/sum((diff(fsgKK-fsgn2)).^2));
%%==   
%%== end;
%%== [snrsM snrsI] = max(snrs);
%%== disp('sdfe'); keyboard; 

%%== %% cluster distances using scalar product of FFT of original signals
%%== %% ========================================================
%%== sg1 = svrs.sg1(intFFTsize); sg2 = svrs.sg2(intFFTsize); 
%%== fsgn1a = 10*log10(abs(fft(sg1')));  fsgn2a = 10*log10(abs(fft(sg2')));
%%== fsgn1b = fsgn1a(1:lenf/2); fsgn2b = fsgn2a(1:lenf/2); 
%%== % resample for a better overview of the FFT signal 
%%== fsgn1 = resample(fsgn1b,1,8*4); fsgn2 = resample(fsgn2b,1,8*4);
%%== fsgn1 = fsgn1/norm(fsgn1); fsgn2 = fsgn2/norm(fsgn2);
%%== for kk=1:nsgn; 
%%==   fak = resample(fsgn(kk,:),1,8*4);
%%==   fak = fak/norm(fak);
%%==   fsgKK(kk,:) = fak;
%%==   snrs(1,kk) = abs(sum(fak.*fsgn1));
%%==   snrs(2,kk) = abs(sum(fak.*fsgn2));
%%== 
%%==   % snrs(1,kk) = 10*log10(sum(diff(fsgKK).^2)/sum((diff(fsgKK-fsgn1)).^2));
%%==   % snrs(2,kk) = 10*log10(sum(diff(fsgKK).^2)/sum((diff(fsgKK-fsgn2)).^2));  
%%== end;
%%== [snrsM snrsI] = max(snrs);
%%== disp('sdfe'); keyboard; 

%% %% cluster distances using quantization of FFT of original signals
%% %% ========================================================
%% sg1 = svrs.sg1(intFFTsize); sg2 = svrs.sg2(intFFTsize); 
%% fsgn1a = 10*log10(abs(fft(sg1')));  fsgn2a = 10*log10(abs(fft(sg2')));
%% fsgn1b = fsgn1a(1:lenf/2); fsgn2b = fsgn2a(1:lenf/2); 
%% % resample for a better overview of the FFT signal 
%% fsgn1 = resample(fsgn1b,1,8*4); fsgn2 = resample(fsgn2b,1,8*4);
%% fsgn1 = fsgn1/norm(fsgn1); fsgn2 = fsgn2/norm(fsgn2);
%% for kk=1:nsgn; 
%%   fak = resample(fsgn(kk,:),1,8*4);
%%   fak = fak/norm(fak);
%%   fsgKK(kk,:) = fak;
%%   snrs(1,kk) = abs(sum(fak.*fsgn1));
%%   snrs(2,kk) = abs(sum(fak.*fsgn2));
%% 
%%   % snrs(1,kk) = 10*log10(sum(diff(fsgKK).^2)/sum((diff(fsgKK-fsgn1)).^2));
%%   % snrs(2,kk) = 10*log10(sum(diff(fsgKK).^2)/sum((diff(fsgKK-fsgn2)).^2));  
%% end;
%% [snrsM snrsI] = max(snrs);
%% disp('sdfe'); keyboard; 


%%== %% cluster distances using distances using FFT of original signals
%%== %% ========================================================
%%== sg1 = svrs.sg1(intFFTsize); sg2 = svrs.sg2(intFFTsize); 
%%== fsgn1a = 10*log10(abs(fft(sg1')));  fsgn2a = 10*log10(abs(fft(sg2')));
%%== fsgn1b = fsgn1a(1:lenf/2); fsgn2b = fsgn2a(1:lenf/2); 
%%== % resample for a better overview of the FFT signal 
%%== fsgn1 = resample(fsgn1b,1,2^6); fsgn2 = resample(fsgn2b,1,2^6);
%%== fsgn1 = fsgn1/norm(fsgn1); fsgn2 = fsgn2/norm(fsgn2);
%%== for kk=1:nsgn; 
%%==   fak = resample(fsgn(kk,:),1,2^6);
%%==   fak = fak/norm(fak);
%%==   fsgKK(kk,:) = fak;
%%==   snrs(1,kk) = norm(fak - fsgn1);
%%==   snrs(2,kk) = norm(fak - fsgn2);
%%== 
%%==   % snrs(1,kk) = 10*log10(sum(diff(fsgKK).^2)/sum((diff(fsgKK-fsgn1)).^2));
%%==   % snrs(2,kk) = 10*log10(sum(diff(fsgKK).^2)/sum((diff(fsgKK-fsgn2)).^2));  
%%== end;
%%== [snrsM snrsI] = max(snrs);
%%== disp('sdfe'); keyboard; 

%% == %% cluster distances using distances with histogram FFT of original signals
%% == %% ========================================================
%% == sg1 = svrs.sg1(intFFTsize); sg2 = svrs.sg2(intFFTsize); 
%% == fsgn1a = 10*log10(abs(fft(sg1')));  fsgn2a = 10*log10(abs(fft(sg2')));
%% == fsgn1b = fsgn1a(1:lenf/2); fsgn2b = fsgn2a(1:lenf/2); 
%% == % resample for a better overview of the FFT signal 
%% == fsgn1 = resample(fsgn1b,1,2^1); fsgn2 = resample(fsgn2b,1,2^1);
%% == fsgn1 = fsgn1/norm(fsgn1); fsgn2 = fsgn2/norm(fsgn2);
%% == fsgn1 = hist(fsgn1,100); fsgn2 = hist(fsgn2,100);
%% == for kk=1:nsgn; 
%% ==   fak = resample(fsgn(kk,:),1,2^1);
%% ==   fak = hist(fak/norm(fak),100);
%% ==   fsgKK(kk,:) = fak;
%% ==   snrs(1,kk) = norm(fak - fsgn1);
%% ==   snrs(2,kk) = norm(fak - fsgn2);
%% == 
%% ==   % snrs(1,kk) = 10*log10(sum(diff(fsgKK).^2)/sum((diff(fsgKK-fsgn1)).^2));
%% ==   % snrs(2,kk) = 10*log10(sum(diff(fsgKK).^2)/sum((diff(fsgKK-fsgn2)).^2));  
%% == end;
%% == [snrsM snrsI] = max(snrs);
%% == disp('sdfe'); keyboard; 
%% == % figure; plot(1:length(fsgn1),fsgn1,'r',1:length(fsgn1),fsgKK(2,:),'b');
%% == 

%% cluster distances using envelopes of original signals
%% =====================================================
%% lsignals = size(sgn,2);
%% sg1 = svrs.sg1'; sg1 = sg1(1:lsignals);
%% sg2 = svrs.sg2'; sg2 = sg2(1:lsignals);
env1 = envelopeC(svrs.sg1'); env2 = envelopeC(svrs.sg2');
env1 = env1/norm(env1);      env2 = env2/norm(env2); 
env1 = resample(env1,1,2^9); env2 = resample(env2,1,2^9); 
env1s = quantiz(env1/max(env1),[0,0.5,1]);
env2s = quantiz(env2/max(env2),[0,0.5,1]);
env1maxs = countMaxs(env1s); env2maxs = countMaxs(env2s);
for kk=1:nsgn;   
  envK = envelopeC(sgn(kk,:)); 
  envK = envK/norm(envK);       
  envK = resample(envK,1,2^9);  
  envKs = quantiz(envK/max(envK),[0,0.5,1]);

  envsr(kk,:) = envK;
  envsq(kk,:) = envKs;
  
  envKmaxs = countMaxs(envKs);   
  fsgKK(kk) = envKmaxs;
%  disp('sdf'); keyboard; 
end;

%% == %% cluster construction 
%% == %% ========================================================
%% == addpath('statsToolbox');
%% == dtr2 = dst;
%% == tones = tril(ones(size(dtr2)),-1);
%% == ytr = dtr2(find(tones==1));
%% == Ztr = linkage(ytr'); 
%% == set(0,'RecursionLimit',5000);
%% == figure; hout = dendrogram(Ztr,'colorthreshold','default');
%% == trz = cluster(Ztr,'maxclust',5);
%% == % screen2jpeg([fname '-dendro']);

clustSignalA = find(fsgKK == 3);
signalA = sum(sgn(clustSignalA,:));

clustSignalB = find(fsgKK > 5);
signalB = sum(sgn(clustSignalB,:));

% disp('clusterSignals ready'); keyboard; 