function sgnGrouped  = sdrGrouping(sgn,sg1,sg2)
%%
%%  Constructs ngroups Groups with the signals in sgn using 
%%  the SDR measure (extension of the "signal to noise ratio" value)
%%
%%  the rows of sgn contain the signals to be grouped
%%  ncomponents are the numbers of groups to be constructed
%%

nsignals = size(sgn,1);

sg1o = sg1; sg2o = sg2; % keep original variables, just in case
%% consider shortening effect of stft isft
fftSize = 1024/2; winSize = 1024/2; hopSize = 256/4; 
afsg1 = stft(sg1',fftSize,winSize,hopSize);
sg1 = transpose(istft(afsg1,fftSize,winSize,hopSize)); 
afsg2 = stft(sg2',fftSize,winSize,hopSize);
sg2 = transpose(istft(afsg2,fftSize,winSize,hopSize)); 

%% % pairwise comparison for the signals 
%% nsignals = size(sgn,1);
%% sdr = -1*ones(nsignals,nsignals);
%% for k=1:nsignals
%%   for s=k+1:nsignals
%% 	 % sdr(k,s) = sdrCompare(sgn(k,:),sgn(s,:));
%% 	 sgnk = sgn(k,:); sgns = sgn(s,:);
%% 	 
%% 	 nsgnk = sum(sgnk.*sgnk);
%% 	 sgnks = sgnk - sgns; 
%% 	 nsgnks = sum(sgnks.*sgnks);
%% 	 sdr(k,s) = nsgnk/nsgnks;	 
%%   end;
%% end;
%
% comparison with original signals 
nsignals = size(sgn,1);
sdr = zeros(2,nsignals);

fftSize = 1024/2; winSize = 1024/2; hopSize = 256/4; 
afsg1 = abs(stft(sg1',fftSize,winSize,hopSize));
afsg2 = abs(stft(sg2',fftSize,winSize,hopSize));
dafsg1 = diff(afsg1')'; 
dafsg2 = diff(afsg2')';

for k=1:nsignals
	 sgnk = sgn(k,:); 
	 
	 afsgnk = abs(stft(sgnk,fftSize,winSize,hopSize));
	 dafsgnk = diff(afsgnk')'; 
	 
	 nsgnk = sum(sum(dafsgnk.*dafsgnk));

	 sgnk1 = dafsgnk - dafsg1; 
	 sgnk2 = dafsgnk - dafsg2; 
	 nsgnk1 = sum(sum(sgnk1.*sgnk1));
	 nsgnk2 = sum(sum(sgnk2.*sgnk2));

	 sdr(1,k) = nsgnk/nsgnk1;
	 sdr(2,k) = nsgnk/nsgnk2;
end;

disp('sfd244'); keyboard; 

sgnGrouped = sdr; 