function snrEvaluation()

% load main castanets signal
% ==========================
sectionSignal = 10000:200000;
signale = wavread('audio/h2.wav'); signale = signale(sectionSignal);
intvk = 1:100000;
sg2 = signale(intvk);  
signal = sg2; 

% construct STFT representation
% =============================
fftSize = 1024/2; winSize = 1024/2; hopSize = 256/4;  nic = 20;
stftSignal = stft(signal',fftSize,winSize,hopSize);
astftA = abs(stftSignal); % astft = stftSignal;

% load reconstructions from different dimensional reduction methods
% =================================================================
techN = {'PCA', 'Laplacian', 'Isomap'};
% techN = {'PCA'};
tagfile = ['dimred-'];

nics = [10,12,14,16,18,20,22];
nics = 10:22;

for kt=1:length(techN)  
  nikk=1;
  for nic=nics
	 
	 % set the string according to values less than or equal to 10 
	 if nic<10; snic = ['0' num2str(nic)]; end;
	 if nic>9; snic = num2str(nic); end;
	 
	 aa = ['./results/' tagfile techN{kt} '-' snic '-sgB.wav'];
	 sig = wavread(aa);  
	 sig = sig(1:length(signal));
	 
	 stftSignal = stft(sig',fftSize,winSize,hopSize);
	 astft = abs(stftSignal); % astft = stftSignal;  
	 
	 % compute SNR values
	 % ==================
	 snrs(kt,nikk) = 10*log10(sum(sum(astftA.^2))/sum(sum((astftA-astft).^2)));
	 nikk = nikk+1;	 
	 
  end;
end;

figure; plot(nics,snrs','LineWidth',2); grid;
xlabel('number of components');
ylabel('Signal to Noise Ratio dB');
legend('PCA','Laplacian','Isomap');
screen2jpeg(['./images/snrResult'  '.png']);

disp('snrEvaluation ready'); keyboard; 